'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _speak = require('./speak');

var _speak2 = _interopRequireDefault(_speak);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * add speak to console or throw an Error
 * @param  {Object} global - window or other global object that supports the API
 */
var consoleSpeak = function consoleSpeak(global) {
  try {
    (function () {
      var speak = new _speak2.default(global);
      global.console.speak = speak;
      global.console.laugh = function () {
        var message = arguments.length <= 0 || arguments[0] === undefined ? 'Hahahaha' : arguments[0];
        return speak(message, { voice: 'Hysterical' });
      };
    })();
  } catch (err) {
    throw err;
  }
}; /**
    * attach `speak` to window and add a shortcut for `laugh`
    * When this file is loaded, `consoleSpeak` needs to be called with `window`
    *
    * @file console
    * @module console
    * @author Gregor Adams <greg@pixelass.com>
    */
exports.default = consoleSpeak;